const { api } = require("../../utils/api")

// pages/index/info.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    id:'',
    farms:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.setData({id:options.id})
  },

  fetchInfo(){
    const data ={id: this.data.id}
    api('/plant/detail','GET',data).then(res => {
      if (res.code === 200){
        const tmp = res.data
        if (tmp.imgList.length >0 ){
          tmp.pic = tmp.imgList[0].url
          tmp.picList = tmp.imgList.map(sub => sub.url)
        }
        tmp.todayCares.map(e => e.period = tmp.carePlans.find(sub => sub.name === e.name).period)
        this.setData({info:res.data})
        console.log(this.data.info.todayCares);
      }
    })

  },

  goPreview(e){
    const url = e.currentTarget.dataset.url
    wx.navigateTo({
      url: '../preview/index?url=' + url,
    })
  },

  make(e){
    const item = e.currentTarget.dataset.item
    if (item.status === 2){
      wx.showModal({
        content: '已完成',
      })
      return
    }
    const data = {id:item.id,plantId:item.plantId,  name:item.name,remark:'测试',status:2}
    api('/plant/makeCare','POST',data,'json').then(res => {
      if (res.code === 200){
        wx.showToast({
          icon:'success',
          title: res.msg,
        })
        this.fetchInfo()
      }
    })
  },

  goEdit(){
    wx.navigateTo({
      url: '../index/edit?id=' + this.data.id,
    })
  },

  goBack(){
    wx.navigateBack()
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.fetchInfo()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})